Bug 224490 - [exp-run] clang 40 for everyone
Summary: [exp-run] clang 40 for everyone
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D13564
Keywords:
Depends on: 218273
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-20 20:44 UTC by Baptiste Daroussin
Modified: 2018-02-06 13:31 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2017-12-20 20:44:53 UTC

    
Comment 1 Antoine Brodin freebsd_committer 2017-12-20 20:56:52 UTC
I believe an exp-run won't show anything.  (with default settings the modified code isn't reached on tier1)
Comment 2 Jan Beich freebsd_committer 2018-01-27 14:02:04 UTC
After bug 224591 it should use Clang 5 but better drop unused code instead. Tier2 don't use Clang if non-default per ports r359424 and ports r359791.
Comment 3 Baptiste Daroussin freebsd_committer 2018-02-06 13:31:07 UTC
Committed as r461046 a clean up will be done later